/*
	Theme Name: OceanWP Child
	Theme URI: https://oceanwp.org/
	Description: OceanWP child theme.
	Author: Riiko
	Author URI: https://oceanwp.org/
	Template: oceanwp
	Version: 1.3
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* Hide page title */
.page-header .page-header-title {
	display: none;
	}
/* Center Gallery and captions captions */
ul.blocks-gallery-grid {
	margin: 0 auto;
	}
figcaption.blocks-gallery-caption {
	display: block;
	width: 100%;
	}


/* Parandan väikeste ekraanide vaate, kui on block floatimas. Tekst pigistatakse liiga kitsaks muidu. */
.wp-block-gallery, .wp-block-image figure.alignright, .wp-block-image figure.alignleft {
	max-width: 60%;
	}
@media only screen and (max-width: 600px) {
    figure.alignleft, img.alignleft, figure.alignright, img.alignright, .wp-block-image figure.alignleft, .wp-block-image img.alignleft, .wp-block-image figure.alignright, .wp-block-image img.alignright {
        float:none;
    }
	.wp-block-gallery, .wp-block-image figure.alignright, .wp-block-image figure.alignleft {
	margin-left: auto;
    margin-right: auto;
	max-width: 100%;
	}
}
/* Pildi ja galerii all on muidu liiga palju tühja ruumi */
.wp-block-image {
    margin-bottom: 0;
}

/* Make checkmarks on LifterLMS forms look normal*/
.llms-form-field.type-radio input, .llms-form-field.type-checkbox input {
    display: inline-block;
}

/* Remove weird colored vertical bar from widget area titles */
.widget-title {
    border-style: none;
}

/* Nähtamatu clear both separator */
.invisible-separator {
    height: 0;
    margin: 0;
    border: none;
	}

/* Typography adjustments */
/*
*/

h4, h3 {
	margin-top: 10px;
	margin-bottom: 5px;
}
h3 {
	clear: both;
}
p {
	margin-top: 5px;
	margin-bottom: 5px;
}

ol, ul {
	margin-top: 5px;
	margin-bottom: 5px;
}

/* Disable Popup maker's adjustment. Otherwise admin bar covers Lightbox */
	#wpadminbar {
		z-index: 99999 !important;
}
/* Fix Youtube embed disappearing issue with OceanWP and "Resize for smaller devices" enabled */
.wp-embed-responsive .wp-block-embed .wp-block-embed__wrapper:before {
    position: relative;
}

/* Teen hüperlingid underlainiks */
.content-area a {
    text-decoration: underline;
}

.clean-lms-account .llms-sd-nav {
	display: none;
}


/* Tuunime kontaktivormi */
.contactform-container textarea, .contactform-container input[type="text"], .contactform-container input[type="email"] {
	font-size: 15px;
}
.contactform-container textarea {
	min-height: 40px;
}
.contactform-field {
	padding: 2px;
}
.contactform-message {
	clear: both;
}
.contactform-name {
	width: 50%;
	float: left;
}
.contactform-email {
	width: 50%;
	float: right;
}
@media only screen and (max-width: 600px) {
    .contactform-name, .contactform-email {
        width: 100%;
    }
}
.contactform-container .contactform-send-button, .contactform-description {
	margin-left: 15px;
}

/* Muudan läbitud kursused ja brogrssbari roheliseks. Vaikimisi on punane */
.llms-lesson-complete.done i {
	color: #00b316;
}
.llms-progress .progress-bar-complete {
	background-color: #00b316;
}
/* Kaotan syllabuselt ära läbitõmbamise joone */
.llms-widget-syllabus .lesson-title.done a {
    text-decoration: none;
}
/* konto lehel peidan üleliigseid välju */
.llms-login .llms-form-fields .llms-form-field.type-html.align-right.llms-cols-3.llms-cols-last {
	display: none;
}
/* -------------------------------------------Fullcalendar osa -------------------------------------------*/
/* Hide calendar selection */
.pgc-calendar-wrapper .pgc-calendar-filter {
		display: none
	}
/* Free time sündmuste tausta värvid */
.pgc-calendar-wrapper a[data-calendarid="d8rs5ss737n5q67ipbge5vbf6c@group.calendar.google.com"] {
	background-color: #37d845;
}
/* Free time sündmuste teksti värvid */
.pgc-calendar-wrapper a[data-calendarid="d8rs5ss737n5q67ipbge5vbf6c@group.calendar.google.com"], .pgc-calendar-wrapper a[data-calendarid="d8rs5ss737n5q67ipbge5vbf6c@group.calendar.google.com"] .fc-event-title, .pgc-calendar-wrapper a[data-calendarid="d8rs5ss737n5q67ipbge5vbf6c@group.calendar.google.com"] .fc-event-time {
	color: black;
}
/* Busy time sündmuste taustavärvid */
.pgc-calendar-wrapper a[data-calendarid="95vdvi06tn8eig0eb1tue6lado@group.calendar.google.com"] {
	background-color: red;
}
/* Busy time sündmuste teksti värvid */
.pgc-calendar-wrapper a[data-calendarid="95vdvi06tn8eig0eb1tue6lado@group.calendar.google.com"], .pgc-calendar-wrapper a[data-calendarid="95vdvi06tn8eig0eb1tue6lado@group.calendar.google.com"]:hover {
	color: white;
}

/* Peida kas laiekraan või kitsas versioon */

/* See osa on eriti kitsa ekraani jaoks */
@media only screen and (max-width: 260px) {
	.r-only-widescreen {
		display: none
	}
		/* Peidame evendi tiitli eriti kitsas olukorras */
	.r-only-mobile .pgc-calendar-wrapper .fc-list-event .fc-list-event-title {
		display: none;
	}
	/* Korrastan kuu- ja nädalapäeva kuvamise */
	.r-only-mobile .pgc-calendar-wrapper .fc-list-day-side-text {
		float: left;
		clear: left;
		font-weight: normal;
		margin-top: -10px;
	}
	.r-only-mobile .pgc-calendar-wrapper .fc-list-day-cushion {
		text-transform: capitalize;
		padding-bottom: 2px;
		padding-top: 20px;
	}
	.r-only-mobile .pgc-calendar-wrapper .fc-list-table td  {
		padding: 0px 0px 0px 14px;
		font-size: 14px;
	}
}
/* See osa on eriti kitsast laiema ekraani jaoks */
@media only screen and (min-width: 261px) {
	.r-only-mobile {
		display: none
	}

}

/* Eemaldame linkidelt Elementori efekti */
.pgc-calendar-wrapper .fc-daygrid-event, .pgc-calendar-wrapper .fc-daygrid-event:hover, .pgc-calendar-wrapper .fc-daygrid-event .fc-event-time, .pgc-calendar-wrapper .fc-daygrid-event:hover .fc-event-time, .pgc-calendar-wrapper .fc-daygrid-event .fc-event-title, .pgc-calendar-wrapper .fc-daygrid-event:hover .fc-event-title {
	font-size: initial;
	font-weight: normal;
	line-height: initial;
	letter-spacing: initial;
	/* color: #383434; */
	/* text-decoration-color: black; */
}

/* Hõivatud sünmduste tiitel */
.pgc-calendar-wrapper a[data-calendarid="95vdvi06tn8eig0eb1tue6lado@group.calendar.google.com"] .fc-event-title:after {
  content: " Busy";
}
.pgc-calendar-wrapper a[data-calendarid="95vdvi06tn8eig0eb1tue6lado@group.calendar.google.com"] .fc-event-time {
  text-decoration-color: #37d845;
}
/* .pgc-calendar-wrapper a.fc-daygrid-event { */
  /* text-decoration: none; */
  /* text-decoration-line: none !important; */
/* } */
/* Peidame sünmduse algusest värvilise täpi */
.pgc-calendar-wrapper .fc-daygrid-event-dot {
	display: none;
}
/* Kitsas olukorras teeme evendi pealkirjad wräpitavaks */
.pgc-calendar-wrapper a.fc-daygrid-event {
  flex-direction: column;
}
.pgc-calendar-wrapper a.fc-daygrid-event .fc-event-title {
  white-space: pre-wrap;
  text-align: center;
}
/* Ajame keskele keskmise laiusega vaates kogupäeva evendi pealkirjad */
.pgc-calendar-wrapper a.fc-daygrid-event .fc-event-title-container {
  text-align: center;
}
/* Tõmbame evendi kellaaja koomale, kui ekraan on kitsam */
@media (max-width: 767px) {
	.pgc-calendar-wrapper a.fc-daygrid-event .fc-event-time {
		/* word-spacing: -4px; */
	}
	.pgc-calendar-wrapper .fc-daygrid-event .fc-event-title, .pgc-calendar-wrapper .fc-daygrid-event:hover .fc-event-title, .pgc-calendar-wrapper .fc-daygrid-event .fc-event-time, .pgc-calendar-wrapper .fc-daygrid-event:hover .fc-event-time  {
		font-size: 70%;
	}
	
}
/* Eriti kitsa ekraaniga peidame tiitli ja wrapime ajad*/
.fc-daygrid-event {
	container-type: inline-size;
}
@media (max-width: 540px)  {
	.pgc-calendar-wrapper .fc-daygrid-event .fc-event-title {
		display: none;
	}
	.pgc-calendar-wrapper a.fc-daygrid-event .fc-event-time, .pgc-calendar-wrapper a.fc-daygrid-event:hover .fc-event-time {
		white-space: pre-wrap;
		text-align: center;
	}
	.fc-event-title-container {
		height: 2em;
	}
	
	
}